


/*

  GAMES.H

  entree : void GAMES_PROGRAMME_PRINCIPAL();

*/

#include "windows.h"

extern char *stringNameOfGame;
extern float TimeGet();
extern void TimeInit();
extern bool ReadEvents();
extern int TabKeys[512];
extern int Bouton[2];
extern int xMouse;
extern int yMouse;
extern int SCREEN_MAX_X;

extern int		WX;
extern int		WY;

extern bool		KeyUp;
extern bool		KeyDown;
extern int		LastKeyDown;
extern bool		Capital;

extern float	SCREEN_RATIO;
extern int WHEEL;

#define GAUCHE 0
#define DROIT 1


#ifndef API3D_OPENGL

extern HINSTANCE hInstance;
extern HWND hWnd;


// dfinitions touches pour windows

#define KEY_BACK VK_BACK    
#define KEY_TAB VK_TAB     
#define KEY_RETURN VK_RETURN  
#define KEY_ESCAPE VK_ESCAPE         
#define KEY_SPACE VK_SPACE          
#define KEY_PAGEUP VK_PRIOR          
#define KEY_PAGEDOWN VK_NEXT           
#define KEY_END VK_END            
#define KEY_HOME VK_HOME           
#define KEY_LEFT VK_LEFT           
#define KEY_UP VK_UP             
#define KEY_RIGHT VK_RIGHT          
#define KEY_DOWN VK_DOWN           
#define KEY_INSERT VK_INSERT         
#define KEY_DEL VK_DELETE         

/* VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39) */
/* VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A) */

#define KEY_N0 VK_NUMPAD0        
#define KEY_N1 VK_NUMPAD1        
#define KEY_N2 VK_NUMPAD2        
#define KEY_N3 VK_NUMPAD3        
#define KEY_N4 VK_NUMPAD4        
#define KEY_N5 VK_NUMPAD5        
#define KEY_N6 VK_NUMPAD6        
#define KEY_N7 VK_NUMPAD7        
#define KEY_N8 VK_NUMPAD8        
#define KEY_N9 VK_NUMPAD9        
#define KEY_MUL VK_MULTIPLY       
#define KEY_ADD VK_ADD            

#define KEY_SUB VK_SUBTRACT       
#define KEY_POINT VK_DECIMAL        
#define KEY_DIV VK_DIVIDE         
#define KEY_F1 VK_F1             
#define KEY_F2 VK_F2             
#define KEY_F3 VK_F3             
#define KEY_F4 VK_F4             
#define KEY_F5 VK_F5             
#define KEY_F6 VK_F6             
#define KEY_F7 VK_F7             
#define KEY_F8 VK_F8             
#define KEY_F9 VK_F9             
#define KEY_F10 VK_F10            
#define KEY_F11 VK_F11            
#define KEY_F12 VK_F12            

#define KEY_LSHIFT VK_LSHIFT         
#define KEY_RSHIFT VK_RSHIFT         
#define KEY_LCONTROL VK_LCONTROL       
#define KEY_RCONTROL VK_RCONTROL       

#else


#define KEY_N0			SDLK_KP0
#define KEY_N1			SDLK_KP1
#define KEY_N2			SDLK_KP2
#define KEY_N3			SDLK_KP3
#define KEY_N4			SDLK_KP4
#define KEY_N5			SDLK_KP5
#define KEY_N6			SDLK_KP6
#define KEY_N7			SDLK_KP7
#define KEY_N8			SDLK_KP8
#define KEY_N9			SDLK_KP9

#define KEY_SUB			SDLK_KP_MINUS
#define KEY_POINT 
#define KEY_DIV			SDLK_KP_DIVIDE	
#define KEY_MUL			SDLK_KP_MULTIPLY	
#define KEY_ADD			SDLK_KP_PLUS
	
#define KEY_BACK		SDLK_BACKSPACE
#define KEY_TAB			SDLK_TAB
#define KEY_RETURN		SDLK_RETURN
#define KEY_ESCAPE		SDLK_ESCAPE
#define KEY_SPACE		SDLK_SPACE
#define KEY_PAGEUP		SDLK_PAGEUP
#define KEY_PAGEDOWN	SDLK_PAGEDOWN
#define KEY_END			SDLK_END
#define KEY_HOME		SDLK_HOME
#define KEY_LEFT		SDLK_LEFT
#define KEY_UP			SDLK_UP
#define KEY_RIGHT		SDLK_RIGHT
#define KEY_DOWN		SDLK_DOWN
#define KEY_INSERT		SDLK_INSERT
#define KEY_DEL			SDLK_DELETE
	
#define KEY_LSHIFT		SDLK_LSHIFT
#define KEY_RSHIFT		SDLK_RSHIFT
#define KEY_LCONTROL	SDLK_LCTRL
#define KEY_RCONTROL	SDLK_RCTRL

#define KEY_F1 			SDLK_F1
#define KEY_F2 			SDLK_F2
#define KEY_F3 			SDLK_F3
#define KEY_F4 			SDLK_F4
#define KEY_F5 			SDLK_F5
#define KEY_F6 			SDLK_F6
#define KEY_F7 			SDLK_F7
#define KEY_F8 			SDLK_F8
#define KEY_F9 			SDLK_F9
#define KEY_F10			SDLK_F10
#define KEY_F11			SDLK_F11
#define KEY_F12			SDLK_F12
	

#endif