//////////////////////////////////////////////////////////////////////////////////////////////////////
//
//	Corps du programme WIN32
//  (c) Laurent Canc 10/10/2007
//////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////////////////
#pragma warning(disable:4018)
#pragma warning(disable:4244)
//////////////////////////////////////////////////////////////////////////////////////////////////////
#include <stdio.h>
#include <stdarg.h>
#include <io.h>
#include <conio.h>
#include <windows.h>
//////////////////////////////////////////////////////////////////////////////////////////////////////
char *			stringNameOfGame	=	"*Chevrolet*";
int				WX					=	1024;
int				WY					=	768;
int				SCREEN_MAX_X		=	1024;
float			SCREEN_RATIO		=	1.0f;
bool			windowed			=	false;
bool			moving				=	false;
LARGE_INTEGER	Temps1,Temps2;
LARGE_INTEGER	freq;
HINSTANCE		hInstance;
HWND			hWnd;
int				TabKeys[512];
int				Bouton[2];
int				xMouse,yMouse;
bool			KeyDown,KeyUp;
int				LastKeyDown;
bool			bActive;
bool			fActive;
bool			fMinimized;
int				WHEEL=0;
bool			MovingCapital		=	false;
bool			FixedCapital		=	false;
bool			Capital				=	false;
//////////////////////////////////////////////////////////////////////////////////////////////////////
extern void GAMES_ACTIVATE_PROC(bool fm,bool fa);
//////////////////////////////////////////////////////////////////////////////////////////////////////
long FAR PASCAL WindowProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	POINT	MousePoint;
	BOOL bActiveApp;
	WHEEL=0;

	if (FixedCapital) Capital=true;
	else Capital=false;

	if (MovingCapital) Capital=true;

    switch (message)
    {
        case WM_ACTIVATE:
			fActive = (LOWORD(wParam)!=0);
			fMinimized = (bool) (HIWORD(wParam)!=0);
			GAMES_ACTIVATE_PROC(fMinimized,fActive);
            return 0L;

        case WM_ACTIVATEAPP:
            bActiveApp = !((BOOL)HIWORD(wParam));
            return 0L;

        case WM_DESTROY:
            PostQuitMessage(0);
            return 0L;

		 case 0x020A:
            if( (short)HIWORD(wParam) > 0 ) WHEEL=-1;
			if( (short)HIWORD(wParam) < 0 ) WHEEL=1;
            break;

	    case WM_LBUTTONDOWN:
		    Bouton[0]=1;
			break;

		case WM_LBUTTONUP:
			Bouton[0]=0;
			break;

		case WM_RBUTTONDOWN:
	        Bouton[1]=1;
			break;

		case WM_RBUTTONUP:
	        Bouton[1]=0;
			break;

		case WM_MOUSEMOVE:
             GetCursorPos(&MousePoint);
			 ScreenToClient( hWnd, &MousePoint);
             xMouse=MousePoint.x;
             yMouse=MousePoint.y;
			 break;

		case WM_KEYUP:
			KeyUp=true;
			TabKeys[wParam]=0;
			if (TabKeys[16]) MovingCapital=true;
			else MovingCapital=false;
			if (TabKeys[VK_LSHIFT]) MovingCapital=true;
			if (TabKeys[VK_RSHIFT]) MovingCapital=true;

			if (MovingCapital) Capital=true;

		break;

        case WM_KEYDOWN:
			if (wParam==VK_UP) WHEEL=-1;
			if (wParam==VK_DOWN) WHEEL=1;
			TabKeys[wParam]=1;
			if (wParam==VK_F12) PostMessage(hWnd, WM_QUIT, 0, 0);
			KeyDown=true;
			LastKeyDown=wParam;
			if ((wParam>=0x6A)&&(wParam<0x87)) KeyDown=false;
			if (TabKeys[16]) MovingCapital=true;
			else MovingCapital=false;
			if (TabKeys[VK_LSHIFT]) MovingCapital=true;
			if (TabKeys[VK_RSHIFT]) MovingCapital=true;
			if (MovingCapital) Capital=true;

			if ((LastKeyDown>='0')&&(LastKeyDown<='9')&&(Capital))
			{
				switch (LastKeyDown)
				{
				case '0':
					LastKeyDown='';
					break;
				case '1':
					KeyDown=false;
					break;
				case '2':
					LastKeyDown='';
					break;
				case '3':
					LastKeyDown='"';
					break;
				case '4':
					LastKeyDown='\'';
					break;
				case '5':
					LastKeyDown='(';
					break;
				case '6':
					LastKeyDown='-';
					break;
				case '7':
					LastKeyDown='';
					break;
				case '8':
					KeyDown=false;
					break;
				case '9':
					LastKeyDown='';
					break;
				};
			}

			if ((wParam==219)&&(Capital))
			{
				LastKeyDown=')';
				KeyDown=true;
			}

			if (wParam==191)
			{
				if (Capital)
				{
					LastKeyDown='/';
					KeyDown=true;
				}
				else
				{
					LastKeyDown=':';
					KeyDown=true;
				}
			}

			if (wParam==187)
			{
				if (Capital)
				{
					LastKeyDown='+';
					KeyDown=true;
				}
				else
				{
					LastKeyDown='=';
					KeyDown=true;
				}
			}

			switch (wParam)
			{
			case 223:
				LastKeyDown='!';
				break;

			case VK_DECIMAL:
			case 190:
				if (Capital)
				{
					KeyDown=true;
					LastKeyDown=';';
				}
				else
				{
					KeyDown=true;
					LastKeyDown='.';
				}
				break;

			case 188:
				if (Capital) LastKeyDown='?'; else LastKeyDown=',';
				break;

			case VK_NUMPAD0:
				LastKeyDown='0';
				break;
			case VK_NUMPAD1:
				LastKeyDown='1';
				break;
			case VK_NUMPAD2:
				LastKeyDown='2';
				break;
			case VK_NUMPAD3:
				LastKeyDown='3';
				break;
			case VK_NUMPAD4:
				LastKeyDown='4';
				break;
			case VK_NUMPAD5:
				LastKeyDown='5';
				break;
			case VK_NUMPAD6:
				LastKeyDown='6';
				break;
			case VK_NUMPAD7:
				LastKeyDown='7';
				break;
			case VK_NUMPAD8:
				LastKeyDown='8';
				 break;
			case VK_NUMPAD9:
				LastKeyDown='9';
				break;

			case VK_LSHIFT:
			case VK_RSHIFT:
			case VK_PRIOR:
			case VK_NEXT:
			case VK_END:
			case VK_HOME:
			case VK_TAB:
				KeyDown=false;
				break;

			case VK_CAPITAL:
				if (FixedCapital) FixedCapital=false; else FixedCapital=true;

				break;

			};
			break;


        case WM_SETCURSOR:
            SetCursor(NULL);
            return TRUE;
    }
    return DefWindowProc(hWnd, message, wParam, lParam);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
extern void GAMES_PROGRAMME_PRINCIPAL();

//////////////////////////////////////////////////////////////////////////////////////////////////////
LARGE_INTEGER T_Start,T_Actual;
LARGE_INTEGER T_freq;

//////////////////////////////////////////////////////////////////////////////////////////////////////
void StartTimeCounter()
{
	QueryPerformanceFrequency(&T_freq);
	QueryPerformanceCounter(&T_Start);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
unsigned int GetTicks()
{
	unsigned int gtc;
	LONGLONG dT;

	QueryPerformanceCounter(&T_Actual);
	dT=T_Actual.QuadPart - T_Start.QuadPart;
	gtc=(1000*dT)/T_freq.QuadPart;

	return gtc;
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
#include "../resource.h"
LRESULT CALLBACK Setup(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
int RUN=0;
//////////////////////////////////////////////////////////////////////////////////////////////////////
INT WINAPI WinMain( HINSTANCE hInst, HINSTANCE, LPSTR strCmdLine, INT nCmdShow)
{
	hInstance=hInst;
    WNDCLASS wndClass = { CS_HREDRAW | CS_VREDRAW, WindowProc, 0, 0, hInst,
                          NULL,NULL,
                          (HBRUSH)GetStockObject(BLACK_BRUSH)/**/, NULL,
                          TEXT(stringNameOfGame) };
    RegisterClass( &wndClass );
/*
	DialogBox(hInstance,(LPCTSTR)IDD_DIALOG1,GetDesktopWindow(),(DLGPROC)Setup);

	if (RUN==0)
	{
		PostMessage(hWnd, WM_CLOSE, 0, 0);
		return (0);
	}
/**/
    SetCursor(NULL);
	RECT rr;
	GetClientRect(GetDesktopWindow(), &rr);

	int sx=rr.right-rr.left;
	int sy=rr.bottom-rr.top;

	WX=sx;
	WY=sy;

	SCREEN_MAX_X=rr.right-rr.left;
	if (SCREEN_MAX_X<800) SCREEN_MAX_X=800;

	if (!windowed)
	{
	     SCREEN_RATIO=(((float)sx)/((float)sy))/1.25f;
		 hWnd = CreateWindow( TEXT(stringNameOfGame),
                              TEXT(stringNameOfGame),
                              WS_POPUP, 0,0,
                              sx, sy, 0L, 0L, hInst, 0L ); // sx,sy
	}
	else
	{
		 hWnd = CreateWindow( TEXT(stringNameOfGame),
                              TEXT(stringNameOfGame),
                              WS_POPUP, 0,0,
                              WX, WY, 0L, 0L, hInst, 0L ); // sx,sy
	}
	ShowWindow(hWnd, nCmdShow);
    UpdateWindow( hWnd );

	int n;
	for (n=0;n<256;n++) TabKeys[n]=0;

	int cpt=0;
	MSG msg;
	while (cpt<50)
	{
		while ( PeekMessage( &msg, NULL, 0, 0, PM_NOREMOVE ) )
		{
			if(GetMessage( &msg, NULL, 0, 0 ))
			{
				TranslateMessage(&msg);
				DispatchMessage(&msg);
			}
		}
		Sleep(1);
		cpt++;
	}

	StartTimeCounter();
	GAMES_PROGRAMME_PRINCIPAL();


	PostMessage(hWnd, WM_CLOSE, 0, 0);
	return (0);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
bool ReadEvents()
{
	MSG msg;
	WHEEL=0;
	if( PeekMessage( &msg, NULL, 0, 0, PM_NOREMOVE ) )
	{
		if( !GetMessage( &msg, NULL, 0, 0 ) ) return true;

		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	else
	{
		if (msg.message==WM_QUIT) return false;
	}

	return true;
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
void TimeInit()
{
	QueryPerformanceFrequency(&freq);
	QueryPerformanceCounter(&Temps1);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
float TimeGet()
{
	float dt,f;
	LONGLONG dT;

	QueryPerformanceCounter(&Temps2);
	dT=Temps2.QuadPart - Temps1.QuadPart;
	f=(float) (1000*dT)/freq.QuadPart;
	Temps1=Temps2;
	dt=(f/20);

	return dt;
}

//////////////////////////////////////////////////////////////////////////////////////////////////////
LRESULT CALLBACK Setup(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	switch (message)
	{
		case WM_INITDIALOG:
			RUN=0;
			WX=1024; WY=768;
			SendMessage(GetDlgItem(hDlg,IDC_RADIO1),BM_SETCHECK,BST_UNCHECKED,0);
			SendMessage(GetDlgItem(hDlg,IDC_RADIO2),BM_SETCHECK,BST_UNCHECKED,0);
			SendMessage(GetDlgItem(hDlg,IDC_RADIO3),BM_SETCHECK,BST_CHECKED,0);
			return TRUE;

		case WM_COMMAND:
			if (LOWORD(wParam) == IDOK || LOWORD(wParam) == IDCANCEL)
			{
				if (LOWORD(wParam) == IDOK)
				{
					RUN=1;
				}

				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
			}

			if (LOWORD(wParam) == IDC_RADIO1)
			{
				WX=640; WY=480;
				SendMessage(GetDlgItem(hDlg,IDC_RADIO1),BM_SETCHECK,BST_CHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO2),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO3),BM_SETCHECK,BST_UNCHECKED,0);
                SendMessage(GetDlgItem(hDlg,IDC_RADIO4),BM_SETCHECK,BST_UNCHECKED,0);
			}

			if (LOWORD(wParam) == IDC_RADIO2)
			{
				WX=800; WY=600;
				SendMessage(GetDlgItem(hDlg,IDC_RADIO1),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO2),BM_SETCHECK,BST_CHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO3),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO4),BM_SETCHECK,BST_UNCHECKED,0);
			}

			if (LOWORD(wParam) == IDC_RADIO3)
			{
				WX=1024; WY=768;
				SendMessage(GetDlgItem(hDlg,IDC_RADIO1),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO2),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO3),BM_SETCHECK,BST_CHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO4),BM_SETCHECK,BST_UNCHECKED,0);
			}

			if (LOWORD(wParam) == IDC_RADIO4)
			{
				WX=1280; WY=1024;
				SendMessage(GetDlgItem(hDlg,IDC_RADIO1),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO2),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO3),BM_SETCHECK,BST_UNCHECKED,0);
				SendMessage(GetDlgItem(hDlg,IDC_RADIO4),BM_SETCHECK,BST_CHECKED,0);
			}
			break;
	}

    return FALSE;
}


